Description

Supportanfrage

Is it possible to get adtf streaming library comppiled in visual studio 2015 (VC140) x64 platform?

If not, could you make adtf streaming library sources available? We could try to compile by ourselves.

We have an internal application having adtf streaming library as dependency. It is compiled till now with vc100 (because of streaming

library). Now because of project requirements, it needs to be upgraded to VC140 and streaming library is blocking our next steps.

Any help in this regards would be kind.

Lösung

unfortunately it is not possible to compile the ADTF Streaming Library in Visual Studio 2015 (VC140).

It is the same as ADTF 2.x, which is compatible to Visual Studio 2010

see https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf

chapter 1.1 system requirements, page 7

We also can't publish the sources of the ADTF Streaming Library.

A possible workaround would be to use the ADTF File Library (IFHD) instead.

It is based on ADTF 3.x but can handle ADTF 2.x DAT files as well.

But you don't need ADTF 3.x to use the ADTF File Library (standalone).

Like ADTF 3.x it is compatible to Visual Studio 2015

For ADTF 3.x see https://support.digitalwerk.net/adtf/v3/adtf_html/page_delivery.html#section_delivery_system_requirements

Please find more information about the ADTF File Library (IFHD) in our Download Center

URL of the link:

https://support.digitalwerk.net/projects/download-center/wiki/ADTF_File_Library_(IFHD)

The ADTF File Library will enable you to read and write an .adtfdat file.

basic serialisations for samples (container for timestamped streamed data)

basic deserialisations for samples

the file format IFHD itself (Indexed File Format)

 ADTF File Library is completely new, same migration than ADTF 2.x to ADTF 3.x.

But it can handle ADTF 2.x .dat files.

In ADTF 3.x world there are still services, but all plugins are .adtfplugin, no difference between .srv and .plb.

To extend the reader and writer you can load an .adtffileplugin.

You can not load services (.srv) from ADTF 2.x., this is would be not binary compatible.
Please have a look in the example File Access

This is also a good example how the code changes from Streaming Library to ADTF File Library.

An example for an .adtffileplugin can be found in the Device Toolbox 3.0.0, to support .dat files containing CAN or flexray data from

ADTF 2.x.

<DEV_TB_DIR>/bin/adtf_devtb_2_deserializer.adtffileplugin

<DEV_TB_DIR>/bin/debug/adtf_devtb_2_deserializerd.adtffileplugin

History

#1 - 2019-04-15 16:05 - hidden

- Status changed from New to In Progress

- Topic set to StreamingLib::Common

#2 - 2019-04-15 16:46 - hidden

- Status changed from In Progress to Customer Feedback Required

- Affected Products ADTF File Library 0.4.1 (BETA) added

Hello Murali Sriram,

unfortunately it is not possible to compile the ADTF Streaming Library in Visual Studio 2015 (VC140).

It is the same as ADTF 2.x, which is compatible to Visual Studio 2010

see https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf

chapter 1.1 system requirements, page 7

We also can't publish the sources of the ADTF Streaming Library.

A possible workaround would be to use the ADTF File Library (IFHD) instead.

It is based on ADTF 3.x but can handle ADTF 2.x DAT files as well.

But you don't need ADTF 3.x to use the ADTF File Library (standalone).

Like ADTF 3.x it is compatible to Visual Studio 2015

For ADTF 3.x see https://support.digitalwerk.net/adtf/v3/adtf_html/page_delivery.html#section_delivery_system_requirements

Please find more information about the ADTF File Library (IFHD) in our Download Center

URL of the link:

https://support.digitalwerk.net/projects/download-center/wiki/ADTF_File_Library_(IFHD)

The ADTF File Library will enable you to read and write an .adtfdat file.

basic serialisations for samples (container for timestamped streamed data)

basic deserialisations for samples

the file format IFHD itself (Indexed File Format)

 Regards

Matthias

#3 - 2019-04-16 10:39 - hidden

Does ADTF file library load *.srv files from adtf 2?

How the service files are handled with ADTF file library?

#4 - 2019-04-17 08:59 - hidden

- Status changed from Customer Feedback Required to In Progress

#5 - 2019-04-17 09:51 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Murali,

ADTF File Library is completely new, same migration than ADTF 2.x to ADTF 3.x.

But it can handle ADTF 2.x .dat files.

In ADTF 3.x world there are still services, but all plugins are .adtfplugin, no difference between .srv and .plb.
To extend the reader and writer you can load an .adtffileplugin.

You can not load services (.srv) from ADTF 2.x., this is would be not binary compatible.

Please have a look in the example File Access

This is also a good example how the code changes from Streaming Library to ADTF File Library.

An example for an .adtffileplugin can be found in the Device Toolbox 3.0.0, to support .dat files containing CAN or flexray data from ADTF 2.x.

<DEV_TB_DIR>/bin/adtf_devtb_2_deserializer.adtffileplugin

<DEV_TB_DIR>/bin/debug/adtf_devtb_2_deserializerd.adtffileplugin

#6 - 2019-04-23 09:36 - hidden

- Subject changed from ADTF Streaming library in visual studio 2015 (x64) to ADTF Streaming library for VS 2015 (x64)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Not Supported Scope

#7 - 2019-04-23 09:36 - hidden

- Project changed from 9 to Public Support

- Private changed from Yes to No

#8 - 2019-07-19 08:09 - hidden

- Status changed from To Be Closed to Closed
